This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 833362 - virt-make-fs test fails on ppc64 because filesystem block size is 64k
virt-make-fs test fails on ppc64 because filesystem block size is 64k
Status: NEW
Product: Virtualization Tools
Classification: Community
Component: libguestfs (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Richard W.M. Jones
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-19 06:14 EDT by Richard W.M. Jones
Modified: 2014-09-07 18:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2012-06-19 06:14:15 EDT
Description of problem:

On ppc64, the filesystem blocksize defaults to something much
bigger than x86 (ie. 64k).  The reason is because this is the
normal page size on PowerPC.  virt-make-fs filesystem estimation
relies on knowing the block size of the filesystem it will create,
and it assumes 4k.  However on ppc64 this leads to misestimation
of the eventual filesystem size, and so virt-make-fs fails.

This is easily demonstrated by running the virt-make-fs
test in the upstream sources.

For example:

test-virt-make-fs: parameters: --type=ext3 --format=qcow2 --partition=gpt --size=+1M --debug
test-virt-make-fs: size of test file: 2716 KB
2716+0 records in
2716+0 records out
2781184 bytes (2.8 MB) copied, 0.0239506 s, 116 MB/s
input format = POSIX tar archive (GNU)
estimate = 2785280 bytes (2720 1K blocks, 680 4K blocks)
running: qemu-img create -f qcow2 output.img 5554176

[...]

virt-make-fs: error copying contents into filesystem
An error here usually means that the program did not estimate the
filesystem size correctly.  Please read the BUGS section of the manpage.
tar_in: tar subcommand failed on directory: /: tar: test.file: Cannot write: No 
space left on device
tar: Exiting with failure status due to previous errors at ./virt-make-fs line 5
33.
FAIL: test-virt-make-fs.sh


Version-Release number of selected component (if applicable):

1.19.8

Note You need to log in before you can comment on or make changes to this bug.